﻿@model EjemploMVCMañana.Models.Persona

@{
    ViewBag.Title = "Datos de persona";
    List<SelectListItem> items = (List<SelectListItem>)ViewBag.items;
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Datos de la persona @ViewBag.Nombre</h4>
        </div>
    </div>
</div>
@using (Html.BeginForm())
{
    @Html.HiddenFor(model => model.id) //para conservar el id
    <div class="row">
        <div class="col-lg-6">
            <div class="form-horizontal">
                <div class="form-group">
                    <label class="col-sm-6 control-label">Nombre</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.nombre, htmlAttributes: new { @class = "form-control", @id = "txtNombre" })
                        @Html.ValidationMessageFor(model => model.nombre, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Apellido</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.apellido, htmlAttributes: new { @class = "form-control", @id = "txtApellido" })
                        @Html.ValidationMessageFor(model => model.apellido, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Sexo</label>
                    <div class="col-sm-6">
                        @Html.DropDownList("idSexo", items, "Seleccione sexo", htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.idSexo, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Edad</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.edad, htmlAttributes: new { @class = "form-control", @id = "txtEdad" })
                        @Html.ValidationMessageFor(model => model.edad, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-6 control-label">Teléfono</label>
                    <div class="col-sm-6">
                        @Html.TextBoxFor(model => model.telefono, htmlAttributes: new { @class = "form-control", @id = "txtTelefono" })
                        @Html.ValidationMessageFor(model => model.telefono, "", new { @class = "text-danger" })

                    </div>
                </div>
                <div class="form-group text-right">
                    <div class="col-xs-12">
                        <button class="btn btn-primary" type="submit">Actualizar Datos</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
